docs

# SendContact

data class SendContact ( val chatId: ChatIdentifier , val phoneNumber: String , val firstName: String , val lastName: String ? = null, val disableNotification: Boolean = false, val protectContent: Boolean = false, val replyToMessageId: MessageIdentifier ? = null, val allowSendingWithoutReply: Boolean ? = null, val replyMarkup: KeyboardMarkup ? = null) : SendMessageRequest < ContentMessage < ContactContent >> , ReplyingMarkupSendMessageRequest < ContentMessage < ContactContent >>
Content copied to clipboard

## Constructors

SendContact
Link copied to clipboard
fun SendContact ( chatId: ChatIdentifier , contact: Contact , disableNotification: Boolean = false, protectContent: Boolean = false, replyToMessageId: MessageIdentifier ? = null, allowSendingWithoutReply: Boolean ? = null, replyMarkup: KeyboardMarkup ? = null)
Content copied to clipboard
SendContact
Link copied to clipboard
fun SendContact ( chatId: ChatIdentifier , phoneNumber: String , firstName: String , lastName: String ? = null, disableNotification: Boolean = false, protectContent: Boolean = false, replyToMessageId: MessageIdentifier ? = null, allowSendingWithoutReply: Boolean ? = null, replyMarkup: KeyboardMarkup ? = null)
Content copied to clipboard

## Functions

method
Link copied to clipboard
open override fun method (): String
Content copied to clipboard

## Properties

allowSendingWithoutReply
Link copied to clipboard
open override val allowSendingWithoutReply : Boolean ? = null
Content copied to clipboard
chatId
Link copied to clipboard
open override val chatId : ChatIdentifier
Content copied to clipboard
disableNotification
Link copied to clipboard
open override val disableNotification : Boolean = false
Content copied to clipboard
firstName
Link copied to clipboard
val firstName : String
Content copied to clipboard
lastName
Link copied to clipboard
val lastName : String ? = null
Content copied to clipboard
phoneNumber
Link copied to clipboard
val phoneNumber : String
Content copied to clipboard
protectContent
Link copied to clipboard
open override val protectContent : Boolean = false
Content copied to clipboard
replyMarkup
Link copied to clipboard
open override val replyMarkup : KeyboardMarkup ? = null
Content copied to clipboard
replyToMessageId
Link copied to clipboard
open override val replyToMessageId : MessageIdentifier ? = null
Content copied to clipboard
requestSerializer
Link copied to clipboard
open override val requestSerializer : SerializationStrategy<*>
Content copied to clipboard
resultDeserializer
Link copied to clipboard
open override val resultDeserializer : DeserializationStrategy< ContentMessage < ContactContent >>
Content copied to clipboard